Subject: [bug#50425] [PATCH] gnu: Add minetest-advtrains.

From: Maxime Devos <[email-masked]>
Date: Mon, 06 Sep 2021 13:17:20 +0200

Vivien Kraus via Guix-patches via schreef op ma 06-09-2021 om 10:53 [+0200]:
> Guix,
> 
> I’d like to have the advtrains minetest mod in Guix, what do you think?

Did the minetest importer work well for you?

> +- Almost-realistic tracks with actual curves and switches
> +- Railway signals, controllable by various means
> +- ATC: Simple, command-like automatic train control
> +- LuaATC: Powerful Lua-scripted automatic train operation(requires some programming knowledge)*

Package descriptions are in texinfo, not markdown.  You'll need
to make the necessary adjustments.  Being proper Texinfo is necessary
for things like <https://guix.gnu.org/en/packages/minetest-mesecons-1.2.1-0.db58797/>.

(It would be nice if guix could automatically convert the markup ...)

> +    (license
> +     (list license:cc-by-sa3.0 license:agpl3))

According to http://git.bananach.space/basic_trains.git/tree/license.txt,
it's agpl3+ actually.  I now that the ContentDB page (and hence, the importer)
says it's AGPL-3.0-only, but ContentDB only very recently distinguishes between
AGPL-3.0-only and AGPL-3.0-or-later.  I sent a bug report upstream.

Greetings,
Maxime.